> For the complete documentation index, see [llms.txt](https://docs.clym.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.clym.io/webhook-reference/merchants.md).

# Merchants

The following webhooks are triggered by merchant changes.

<details>

<summary><mark style="color:green;"><code>merchant.created</code></mark></summary>

This event is triggered when a new merchant was created.

#### Payload

```json
{
  "event": "merchant.created",
  "params": {
    "id": "string",
    "partner_id": "string",
    "merchant_id": "string",
    "company_name": "string", // optional
    "description": "string", // optional
     "meta": {}, // optional
  },
  "entity": {
    "kind": "partnerMerchant",
    "data": {
      "id": "string",
      "merchant_id": "string",
      "company_name": "string", // optional
      "description": "string",
      "meta": {}, // optional
      "domain_partner_id": "string", // optional
      "created_at": "string, date-time"
    }
  }
}
```

</details>

<details>

<summary><mark style="color:green;"><code>merchant.updated</code></mark></summary>

This event is triggered when the merchant information has been updated.

#### Payload

```json
{
  "event": "merchant.updated",
  "params": {
    "id": "string",
    "partner_id": "string",
    "merchant_id": "string",
    "company_name": "string", // optional
    "description": "string", // optional
    "meta": {} // optional
  },
  "entity": {
    "kind": "partnerMerchant",
    "data": {
      "id": "string",
      "merchant_id": "string",
      "company_name": "string", // optional
      "description": "string",
      "meta": {}, // optional
      "domain_partner_id": "string", // optional
      "created_at": "string, date-time"
    }
  }
}
```

</details>

<details>

<summary><mark style="color:green;"><code>merchant.deleted</code></mark></summary>

This event is triggered when a merchant was deleted.

#### Payload

```json
{
  "event": "merchant.deleted",
  "params": {
    "id": "string",
    "merchant_id": "string",
    "domain_partner_id": "string" // optional
  },
  "entity": {
    "kind": "partnerMerchant",
    "data": {
      "id": "string",
      "merchant_id": "string",
      "company_name": "string", // optional
      "description": "string",
      "meta": {}, // optional
      "domain_partner_id": "string", // optional
      "created_at": "string, date-time"
    }
  }
}
```

</details>

<details>

<summary><mark style="color:green;"><code>merchant.registered</code></mark></summary>

This event is triggered when a domain was registered to a merchant or when a merchant was assigned to a domain.

#### Payload

```json
{
  "event": "merchant.registered",
  "params": {
    "id": "string",
    "merchant_id": "string",
    "domain_partner_id": "string",
    "domain": "string",
    "subscription_id": "string",
    "status": "string"
  },
  "entity": {
    "kind": "partnerMerchant",
    "data": {
      "id": "string",
      "merchant_id": "string",
      "company_name": "string", // optional
      "description": "string",
      "meta": {}, // optional
      "domain_partner_id": "string", // optional
      "created_at": "string, date-time"
    }
  }
}
```

</details>

<details>

<summary><mark style="color:green;"><code>merchant.bulk.created</code></mark></summary>

This event is triggered when merchants have been created in bulk.

#### Payload

```json
{
  "event": "merchant.bulk.created",
  "params": {
    "merchants": ["string"]
  }
}
```

</details>

<details>

<summary><mark style="color:green;"><code>merchant.bulk.deleted</code></mark></summary>

This event is triggered when merchants have been deleted in bulk.

#### Payload

```json
{
  "event": "merchant.bulk.deleted",
  "params": {
    "merchants": ["string"]
  }
}
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.clym.io/webhook-reference/merchants.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
